<?php
/**
 * PHP version 5
 *
 * Copyright © 2014 Daniel Laperdrix
 *
 * This file is part of Galette (http://galette.tuxfamily.org).
 *
 * Plugin test is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Galette. If not, see <http://www.gnu.org/licenses/>.
 *
 * @category  Plugins
 * @package   test
 * 
 * @author    Daniel Laperdrix
 * @copyright 2014 Daniel Laperdrix
 * @license   http://www.gnu.org/licenses/gpl-3.0.html GPL License 3.0 or (at your option) any later version
 * @version  
 * @link      http://galette.tuxfamily.org
 * @since     Available since 0.78
 */
define('GALETTE_BASE_PATH', '../../');
require_once GALETTE_BASE_PATH . 'includes/galette.inc.php';

if ( !$login->isLogged() || !$login->isAdmin() && !$login->isStaff() && !$login->isGroupManager() ) {
    Analog::log(
        'Trying to display ajax_attendance_sheet_details.php without appropriate permissions',
        Analog::INFO
    );
    die();
}

if ( isset($session['filters']['members']) ) {
    $filters = unserialize($session['filters']['members']);
} else {
    $filters = new Galette\Filters\MembersList();
}

//selection venant fenêtre du POST ajax car non retour page originale -> stockage session
$filters->selected = ( isset($_POST['selection']) ) ? $_POST['selection'] : array();
$session['filters']['members'] = serialize($filters);


$orig_template_path = $tpl->template_dir;
$tpl->template_dir = 'templates/' . $preferences->pref_theme;
$tpl->display('ajax_etiqu_details.tpl');
 ?>   

